Summary: Russian Charset Conversion Library
Name: librcc
Version: 0.2.6
Release: alt4
License: GPL
Group: System/Libraries
URL: http://rusxmms.sourceforge.net

Source: %name-%version.tar.bz2
Patch1: librcc-alt-fix-strnlen.diff

BuildRequires: gcc-c++ gtk+-devel libenca-devel libgtk+2-devel librcd-devel libxml2-devel
BuildRequires: libtranslate-devel libguess-devel

%description
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

%package gtk
Group: Development/Other
Summary: Russian Encoding Conversion Library

%description gtk
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

this package contains GTK1 bindings

%package gtk2
Group: Development/Other
Summary: Russian Encoding Conversion Library

%description gtk2
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

this package contains GTK2 bindings

%package devel
Group: Development/Other
Summary: Russian Encoding Conversion Library
Requires: %name = %version-%release

%description devel
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

This package includes headers and shared libraries for development %name-based
applications.

%prep
%setup -q
%patch1 -p0

%build
%autoreconf
%configure \
	--disable-bdb \
	--disable-static

%make_build
%make -C examples

%install
%make DESTDIR=%buildroot install
%make -C examples DESTDIR=%buildroot install

install -pD -m644 examples/rcc.xml %buildroot%_sysconfdir/rcc.xml

rm -f %buildroot%_bindir/example*
find %buildroot%_libdir/rcc/engines -depth -name \*.la -delete

%files
%doc AUTHORS NEWS README examples/rcc-example.xml
%_sysconfdir/rcc.xml
%_libdir/librcc.so.*
%_libdir/librccui.so.*
%_libdir/rcc

%files gtk
%_libdir/librccgtk.so.*
%_bindir/rcc-gtk-config

%files gtk2
%_libdir/librccgtk2.so.*
%_bindir/rcc-gtk2-config

%files devel
%doc docs/api/html/*
%_includedir/*
%_libdir/lib*.so

%changelog
* Mon Jul 13 2009 Nick S. Grechukh <gns@altlinux.org> 0.2.6-alt4
- build fixed (incorrect strnlen redefinition)
- recoding cache disabled (#20753)

* Fri Apr 17 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.2.6-alt3
- disable aspell

* Sat Nov 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.2.6-alt2
- removed obsolete %%post_ldconfig/%%postun_ldconfig calls

* Mon Aug 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.2.6-alt1
- 0.2.6

* Wed Jun 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.2.5-alt4
- rebuild with libdb4-4.7

* Sat May 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.2.5-alt3
- rebuild with libdb4-4.6

* Mon Oct 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.5-alt2
- build with libtranslate and libguess

* Mon Oct 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.5-alt1
- 0.2.5

* Fri May 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.4-alt1
- 0.2.4

* Sun Dec 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.2.3-alt3
- added librcc-0.2.3-libdb4-perms-bug8752.patch

* Thu Jun 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.2.3-alt2
- fixed #9674

* Sun May 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.2.3-alt1
- cleanup spec
- fixed libdir
- disabled static
- fixed system config

* Sat Mar 25 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.2.3-alt0.5.1
- Rebuilt with libdb4.4.

* Thu Jan 12 2006 Nick S. Grechukh <gns@altlinux.org> 0.2.3-alt0.5
- new version

* Sat Aug 13 2005 Nick S. Grechukh <gns@altlinux.ru> 0.2.0-alt0.5
- initial build for Sisyphus
